Subject: 23.1; keyboard-translate not working with emacs daemon

From: Ryo Furue <[email-masked]>
Date: Mon, 12 Oct 2009 10:37:42 -1000 (HST)

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

My ~/.emacs has "(keyboard-translate ?\C-h ?\C-?)".  I start an emacs
daemon with

  $ /usr/bin/env XMODIFIERS=@im=none /usr/bin/emacs23 --daemon

Then I start a client

  $ /usr/bin/emacsclient.emacs23 -c

But, "C-h" still invokes the emacs help system.

Next, I evaluate "(keyboard-translate ?\C-h ?\C-?)" on the client.
Then "C-h" starts to work as delete.

Finally, I invoke another client with
"/usr/bin/emacsclient.emacs23 -c", on which "C-h" works as delete
from the beginning.

I'm not sure if this is a bug.  I just wish there were a
"proper" mechanism to set a keyboard-translate-table globally.

(I tried many things, including reading etc/PROBLEMS, searching
 your bug tracking newsgroup, asking this question at gnu.emacs.help,
 reading the emacs info pages about reporting bugs, etc., but
 couldn't find this issue reported.)

Best regards,
Ryo

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-09-13 on raven, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10603901
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: @im=none
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-f C-f C-f C-f C-f C-f C-n C-n C-n C-n C-n C-n <return> 
u C-p C-p C-p C-p C-p C-p C-p u C-n <return> C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-f C-p C-f C-f C-f C-f 
<return> C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-v C-p C-p C-p u C-n C-f C-f C-f C-f 
<return> u C-n <return> C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-n C-n C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-n C-n C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b 
C-b C-b C-n C-n C-n C-n C-n C-n C-p C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-n C-n C-n C-n C-n 
C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b C-b 
C-b C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n <escape> x e m a c s - v e r s i o n <return> C-x 
C-b C-n C-n C-n C-n <return> C-p C-p C-p C-SPC C-e 
<escape> x r e p o r TAB TAB b u TAB <return>

Recent messages:
Commands: m, u, t, RET, g, k, S, D, Q; q to quit; h for help
uncompressing emacs.gz...done
uncompressing emacs-6.gz...done
uncompressing emacs-1.gz...done
uncompressing emacs-6.gz...done
GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5) of 2009-09-13 on raven, modified by Debian
Updating buffer list...done
Commands: m, u, t, RET, g, k, S, D, Q; q to quit; h for help
Mark set
Making completion list...